<link rel="stylesheet"
	  href="<?= base_url('<link rel="stylesheet" 
	href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap.min.css">') ?>">
<link rel="stylesheet"
	  href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">
<link rel="stylesheet" href="<?= base_url('bower_components/toastr/toastr.css') ?>">
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">

		<h1>
			<?= $this->lang->line('header_wallet_password'); ?>
		</h1>
		<?php
		$site_url = base_url();

		if ($alert == "ok") {

			if (!$success == "ok") {
				?>
				<div class='alert alert-danger alert-dismissible col-xs-6'>
					<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>×</button>
					<h4><i class='icon fa fa-ban'></i> Erreur!</h4>
					<?= $message; ?>
				</div>

				<?php
			} else {
				?>
				<div class="alert alert-success alert-dismissible col-xs-6">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<h4><i class="icon fa fa-check"></i> Success!</h4>
					<?= $message; ?>
				</div>

				<?php
			}
		}
		?>
	</section>

	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
					<!--					<div class="box-header">-->
					<!---->
					<!--					</div>-->
					<div class="box-body">
						<div class="login-box">
							<div class="login-box-body">
								<?php
								if(isset($walletPassword)){
								?>
<!--								<p>-->
<!--									<span class="label label-success"  style="width: 100% ; font-size: 100% ; display: block">--><?php //echo $this->lang->line('generated'); ?><!--</span>-->
<!--								</p>-->

									<button type="button" data-toggle="modal" data-target="#generatePassword"
											data-country="<?= $country ?>"
											data-network="<?= $network ?>"
											data-wallet_password_id="<?= $walletPassword->id ?>"
											class="btn btn-warning btn-block openModal"><?= $this->lang->line('reset'); ?></button>
								<?php
								}else{
								?>
<!--								<p>-->
<!--									<span class="label label-danger" style="width: 100% ; font-size: 100% ; display: block">--><?php //echo $this->lang->line('not_generated'); ?><!--</span>-->
<!--								</p>-->

									<button type="button" data-toggle="modal" data-target="#generatePassword"
											data-country="<?= $country ?>"
											data-network="<?= $network ?>"
											data-network-id="<?= $network_id?>"
											class="btn btn-primary btn-block openModal"><?= $this->lang->line('generate'); ?></button>



								<?php
								}
								?>

							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
		<div class="modal fade" id="generatePassword" tabindex="-1" role="dialog" aria-hidden="true">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h3 class="modal-title"><?= $this->lang->line('generate_password'); ?></h3>
					</div>
					<div class="modal-body">
						<form id="walletPasswordForm">
							<div class="form-group">
								<label for="email"
									   class="col-form-label"><?= $this->lang->line('email') ?></label>
								<input type="email" min="0" required class="form-control" id="email" name="email">
							</div>
							<!--							<div class="form-group">-->
							<!--								<label for="size" class="col-form-label">Nombre de caracteres</label>-->
							<!--								<input type="number" min="1" required class="form-control" name="size" id="size">-->
							<!--							</div>-->
						</form>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary"
								data-dismiss="modal"><?= $this->lang->line('Fermer'); ?></button>
						<button type="button" class="btn btn-primary"
								id="addWalletPassword"> <?= $this->lang->line('generate'); ?></button>
					</div>
				</div>
			</div>
		</div>
	</section>
</div>

<!-- jQuery 2.2.4 -->
<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>

<!-- Bootstrap 3.3.7 -->
<script src="<?= base_url('bower_components/bootstrap/dist/js/bootstrap.min.js') ?>"></script>
<!-- DataTables -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap.min.js"></script>
<!-- Slimscroll -->
<script src="<?= base_url('bower_components/jquery-slimscroll/jquery.slimscroll.min.js') ?>"></script>
<!-- FastClick -->
<script src="<?= base_url('bower_components/fastclick/lib/fastclick.js') ?>"></script>
<!-- AdminLTE App -->
<script src="<?= base_url('dist/js/adminlte.min.js') ?>"></script>
<!-- AdminLTE for demo purposes -->
<script src="<?= base_url('dist/js/demo.js') ?>"></script>
<script src="<?= base_url('bower_components/toastr/toastr.js') ?>"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/js/bootstrap-multiselect.js"></script>
<script src="<?= base_url('dist/js/sweetalert2.js') ?>"></script>
<script src="<?= base_url('bower_components/bootstrap-daterangepicker/daterangepicker.js') ?>"></script>
<script src="<?= base_url('bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js') ?>"></script>

<script>
	$(function () {
		$('#validated').DataTable();
	})
</script>

<script>
	toastr.options.closeButton = true;
	toastr.options.closeMethod = 'fadeOut';
	toastr.options.closeDuration = 5000;
	toastr.options.closeEasing = 'swing';

	var network_id = null;
	var wallet_password_id = null;
	var network = null;
	var country = null;

	$(document).on("click", ".openModal", function () {
		network_id = $(this).data('network-id');
		wallet_password_id = $(this).data('wallet_password_id');
		network = $(this).data('network');
		country = $(this).data('country');
	});

	$('#addWalletPassword').click(function () {
		if ($('#walletPasswordForm')[0].checkValidity()) {
			const email = $('#email').val();
			// const size = parseInt($('#size').val());

			$.ajax({
				url: '<?= base_url('Hyperviseur_dash/generate_wallet_password')?>',
				type: 'POST',
				dataType: 'json',
				data: {
					"network_id": network_id,
					"email": email,
					"wallet_password_id": wallet_password_id,
					"network": network,
					"country": country
				},
				success: function (data) {
					if (data == '200') {
						Swal.fire({
							icon: 'success',
							title: "<?= $this->lang->line('password_generated')?>",
							text: "<?= $this->lang->line('informations_updated')?>",
							timer: 3000
						}).then(() => {
							location.reload();
						});

					} else {
						toastr.error("<?= $this->lang->line('error_message')?>", "<?= $this->lang->line('request_error')?>");
					}
				},
				error: function (resultat, statut, error) {
					console.log(resultat + " " + error);
					toastr.error("<?= $this->lang->line('error_message')?>", "<?= $this->lang->line('request_error')?>");
				}
			});

		} else {
			$('#walletPasswordForm')[0].reportValidity();
		}
	});


</script>
